player_actarray_speed_config Struct Reference

Request/reply: Speed. More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | joint
| Joint to set speed for. More...
float | speed
| Speed setting in m/s or rad/s. More...

## Detailed Description

Request/reply: Speed.

Send a PLAYER_ACTARRAY_REQ_SPEED request to set the speed of a joint for all subsequent movements. Null response.

## Member Data Documentation

int32_t player_actarray_speed_config::joint

Joint to set speed for.

float player_actarray_speed_config::speed

Speed setting in m/s or rad/s.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45